Update
curl --request PATCH \
--url https://api.example.com/v2/report-configs/{report_config_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time": "<string>",
"weekday": 3,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"is_enabled": true
}
'import requests
url = "https://api.example.com/v2/report-configs/{report_config_id}"
payload = {
"time": "<string>",
"weekday": 3,
"recipient_emails": ["<string>"],
"cc_emails": ["<string>"],
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time: '<string>',
weekday: 3,
recipient_emails: ['<string>'],
cc_emails: ['<string>'],
is_enabled: true
})
};
fetch('https://api.example.com/v2/report-configs/{report_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/report-configs/{report_config_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'time' => '<string>',
'weekday' => 3,
'recipient_emails' => [
'<string>'
],
'cc_emails' => [
'<string>'
],
'is_enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/report-configs/{report_config_id}"
payload := strings.NewReader("{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v2/report-configs/{report_config_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/report-configs/{report_config_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"report_type": "integration_sync_report",
"is_enabled": true,
"frequency": "daily",
"time": "<string>",
"weekday": 123,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"last_sent_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}report-configs
Update
Update a Report Config
Update an existing report configuration.
PATCH
/
v2
/
report-configs
/
{report_config_id}
Update
curl --request PATCH \
--url https://api.example.com/v2/report-configs/{report_config_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time": "<string>",
"weekday": 3,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"is_enabled": true
}
'import requests
url = "https://api.example.com/v2/report-configs/{report_config_id}"
payload = {
"time": "<string>",
"weekday": 3,
"recipient_emails": ["<string>"],
"cc_emails": ["<string>"],
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time: '<string>',
weekday: 3,
recipient_emails: ['<string>'],
cc_emails: ['<string>'],
is_enabled: true
})
};
fetch('https://api.example.com/v2/report-configs/{report_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/report-configs/{report_config_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'time' => '<string>',
'weekday' => 3,
'recipient_emails' => [
'<string>'
],
'cc_emails' => [
'<string>'
],
'is_enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/report-configs/{report_config_id}"
payload := strings.NewReader("{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v2/report-configs/{report_config_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/report-configs/{report_config_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"time\": \"<string>\",\n \"weekday\": 3,\n \"recipient_emails\": [\n \"<string>\"\n ],\n \"cc_emails\": [\n \"<string>\"\n ],\n \"is_enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"report_type": "integration_sync_report",
"is_enabled": true,
"frequency": "daily",
"time": "<string>",
"weekday": 123,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"last_sent_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Body
application/json
Response
Successful Response
Report configuration response.
